/* Copyright (c) 2000 Sinby.com
   All Rights Reserved 

   This project is covered by the GNU General Public License. */

/* $Id: KaffeStdio.c,v 1.1 2000/12/23 09:29:49 ryos Exp $ */

#include "config.h"
#include "config-std.h"
#include "config-io.h"
#include "config-mem.h"
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <native.h>
#include <jsyscall.h>
#ifdef HAVE_UTIME_H
#include <utime.h>
#endif
#include "defs.h"
#include "files.h"
#include "../../../include/system.h"
#include "java_io_File.h"
#include "../../../kaffe/kaffevm/support.h"
#include "../../../kaffe/kaffevm/stringSupport.h"

void
kaffe_io_StdOutputStream_write(void *javaObject,jint byte)
{
	putc(byte,stdout);
}

void
kaffe_io_StdErrorStream_write(void *javaObject,jint byte)
{
	putc(byte,stderr);
}

jint
kaffe_io_StdInputStream_read(void *javaObject)
{
	return getc(stdin);
}

